Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy
Interface HibernateProxy

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  Dom4jProxy, MapProxy

    public interface HibernateProxy

extends Serializable

Marker interface for entity proxies

Method Summary
`LazyInitializer` | `getHibernateLazyInitializer()` Get the underlying lazy initialization handler.
`Object` | `writeReplace()` Perform serialization-time write-replacement of this proxy.

Method Detail

### writeReplace

    Object writeReplace()

  Perform serialization-time write-replacement of this proxy.

  Returns:
    The serializable proxy replacement.

### getHibernateLazyInitializer

    LazyInitializer getHibernateLazyInitializer()

  Get the underlying lazy initialization handler.

  Returns:
    The lazy initializer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.